Manages the workflows, including create, update and delete.
- Get All Action Definitions
Workflow Service (0.0.4)
The Workflow Management REST APIs allow the creation of a workflow, and steps within the workflow. Steps, and split step options must be assigned actions that are already defined through the Enrollment Actions API. Please see that API for additional information. For split steps only the action definition is to be provided, but the options require a matching action type, and must be of type split.
To create a new workflow:
- Use
POST /workflowswith required fields:name,description - Optionally specify
allowedIpsanddisAllowedIpsfor network restrictions - The workflow will be created with a status of work in progress
- Use
PATCH /workflows/{workflowId}to update workflow properties
Steps define the user journey within a workflow:
- Start Step: Use
POST /workflows/{workflowId}/stepsto create the initial step - Regular Steps: Create additional steps using
POST /workflows/{workflowId}/steps/{stepId} - Split Steps: Create branching logic using split steps with multiple options
- End Steps: Mark steps as terminating to end the workflow
Each step requires an action definition:
- Query available actions using
GET /workflowActionDefinitions - Assign action by setting
actionDefinitionIdin the step - For split steps, create options using
POST /workflows/{workflowId}/steps/{stepId}/splitOptions - Each split option must have a matching action type
Link steps together to create the workflow flow:
- Set
nextStepIdto connect steps in sequence - Use
POST /workflows/{workflowId}/steps/{stepId}/nextSteps/{detachedStepId}to attach steps - For split steps, each option can lead to different next steps
- RUCKUS One API host for North American region.https://api.ruckus.cloud/workflowActionDefinitions/query
- RUCKUS One API host for European region.https://api.eu.ruckus.cloud/workflowActionDefinitions/query
- RUCKUS One API host for Asian region.https://api.asia.ruckus.cloud/workflowActionDefinitions/query
- Payload
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- application/json
- application/vnd.ruckus.v1+json
{ "sortField": "string", "sortOrder": "ASC", "page": 0, "pageSize": 1, "filters": { "property1": null, "property2": null } }
- application/json
- application/vnd.ruckus.v1+json
{ "paging": { "totalCount": 0, "page": 0, "pageSize": 0, "pageCount": 0 }, "content": [ { … } ] }
- RUCKUS One API host for North American region.https://api.ruckus.cloud/workflowActionDefinitions
- RUCKUS One API host for European region.https://api.eu.ruckus.cloud/workflowActionDefinitions
- RUCKUS One API host for Asian region.https://api.asia.ruckus.cloud/workflowActionDefinitions
- Payload
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
No request payload- application/json
- application/vnd.ruckus.v1+json
{ "paging": { "totalCount": 0, "page": 0, "pageSize": 0, "pageCount": 0 }, "content": [ { … } ] }
- RUCKUS One API host for North American region.https://api.ruckus.cloud/workflowActionDefinitions/{definitionId}
- RUCKUS One API host for European region.https://api.eu.ruckus.cloud/workflowActionDefinitions/{definitionId}
- RUCKUS One API host for Asian region.https://api.asia.ruckus.cloud/workflowActionDefinitions/{definitionId}
- Payload
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
No request payloadOK
- application/json
- application/vnd.ruckus.v1+json
The ID for localization information for this action definition.
Indicates if this action definition supports split actions. When true, this action can be used in split steps where multiple options can be defined. Split steps enable conditional branching in workflows, allowing different user paths based on choices or evaluation results.
Indicates if this action definition supports split actions. When true, this action can be used in split steps where multiple options can be defined. Split steps enable conditional branching in workflows, allowing different user paths based on choices or evaluation results.
- application/json
- application/vnd.ruckus.v1+json
{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "description": "string", "localizationDescriptionId": "string", "isSplit": true, "split": true, "actionType": "string", "category": "string", "hasEndActions": true, "dependencyType": "NONE", "_links": { "property1": { … }, "property2": { … } } }
- RUCKUS One API host for North American region.https://api.ruckus.cloud/workflowActionDefinitions/{definitionId}/requiredPriorDefinitions
- RUCKUS One API host for European region.https://api.eu.ruckus.cloud/workflowActionDefinitions/{definitionId}/requiredPriorDefinitions
- RUCKUS One API host for Asian region.https://api.asia.ruckus.cloud/workflowActionDefinitions/{definitionId}/requiredPriorDefinitions
- Payload
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
No request payload- application/json
- application/vnd.ruckus.v1+json
{ "paging": { "totalCount": 0, "page": 0, "pageSize": 0, "pageCount": 0 }, "content": [ { … } ] }